//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MSetParam(long id,long itype,char *sparam, long iparam, long iparam2);
typedef long __stdcall MConvert(long id,char *inpdf,char *password,char *outps);
//---------------------------------------------------------------------------
const M_PS_LEVEL	= 100;
const M_PAPER_SIZE	= 101;
const M_EXPAND		= 102;
const M_SHRINK		= 103;
const M_CENTER		= 104;
const M_DUPLEX		= 105;
//---------------------------------------------------------------------------
const M_LEVEL1	=1; //Level 1 PostScript
const M_LEVEL1S	=2; //Level 1 Separable PostScript
const M_LEVEL2	=3; //Level 2 PostScript
const M_LEVEL2S	=4; //Level 2 Separable PostScript
const M_LEVEL3	=5; //Level 3 PostScript
const M_LEVEL3S	=6; //Level 3 Separable PostScript
const M_LEVEL_EPS=7;//Encapsulated PostScript (EPS)
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
    TButton *Button3;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
private:	// User declarations

	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MSetParam		*pMSetParam;
	MConvert		*pMConvert;	
	MEnd			*pMEnd;

private:
	BOOL LoadPdfToPsDll();
	BOOL FreePdfToPsDll();
    void GetModulePath(char *out_path,char *in_name);
        
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
