﻿Public Class Form1
    Private Declare Function MBegin Lib "pdftops.dll" () As Integer
    Private Declare Function MSetParam Lib "pdftops.dll" (ByVal id As Integer, ByVal itype As Integer, ByVal sparam As String, ByVal iparam As Integer, ByVal iparam2 As Integer) As Integer
    Private Declare Function MConvert Lib "pdftops.dll" (ByVal id As Integer, ByVal inpdf As String, ByVal password As String, ByVal outps As String) As Integer
    Private Declare Function MEnd Lib "pdftops.dll" (ByVal id As Integer) As Integer


    Const M_PS_LEVEL = 100
    Const M_PAPER_SIZE = 101
    Const M_EXPAND = 102
    Const M_SHRINK = 103
    Const M_CENTER = 104
    Const M_DUPLEX = 105


    Const M_LEVEL1 = 1 'Level 1 PostScript
    Const M_LEVEL1S = 2 'evel 1 Separable PostScript
    Const M_LEVEL2 = 3 'Level 2 PostScript
    Const M_LEVEL2S = 4 'Level 2 Separable PostScript
    Const M_LEVEL3 = 5 'Level 3 PostScript
    Const M_LEVEL3S = 6 'Level 3 Separable PostScript
    Const M_LEVEL_EPS = 7 'Encapsulated PostScript (EPS)

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer

        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outFile As String = Application.StartupPath + "\output.ps"

        id = MBegin()
        If (id > 0) Then
            MSetParam(id, M_PS_LEVEL, "", M_LEVEL2, 0)
            MSetParam(id, M_PAPER_SIZE, "A3", 0, 0)
            MSetParam(id, M_CENTER, "", 1, 0)
            MSetParam(id, M_SHRINK, "", 1, 0)
            MSetParam(id, M_EXPAND, "", 1, 0)

            MConvert(id, inFile, "", outFile)
            MEnd(id)
        End If

        MsgBox("Convert finished!")
    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outFile As String = Application.StartupPath + "\output2.ps"

        id = MBegin()
        If (id > 0) Then
            MSetParam(id, M_PS_LEVEL, "", M_LEVEL3, 0)
            MSetParam(id, M_PAPER_SIZE, "", 600, 800)
            MSetParam(id, M_CENTER, "", 1, 0)
            MSetParam(id, M_SHRINK, "", 1, 0)
            MSetParam(id, M_DUPLEX, "", 1, 0)

            MConvert(id, inFile, "", outFile)
            MEnd(id)
        End If

        MsgBox("Convert finished!")
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim id As Integer
        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outFile As String = Application.StartupPath + "\outeps\"

        id = MBegin()
        If (id > 0) Then
            MSetParam(id, M_PS_LEVEL, "", M_LEVEL_EPS, 0)
            MSetParam(id, M_PAPER_SIZE, "A4", 0, 0)
            MSetParam(id, M_CENTER, "", 1, 0)
            MSetParam(id, M_SHRINK, "", 1, 0)
            MSetParam(id, M_DUPLEX, "", 1, 0)

            MConvert(id, inFile, "", outFile)
            MEnd(id)
        End If

        MsgBox("Convert finished!")
    End Sub
End Class
