// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
#define AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog


/////////////////////////////////////////////////////////////////////////////
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MSetParam(long id,long itype,char *sparam, long iparam, long iparam2);
typedef long __stdcall MConvert(long id,char *inpdf,char *password,char *outps);
/////////////////////////////////////////////////////////////////////////////
const M_PS_LEVEL	= 100;
const M_PAPER_SIZE	= 101;
const M_EXPAND		= 102;
const M_SHRINK		= 103;
const M_CENTER		= 104;
const M_DUPLEX		= 105;
/////////////////////////////////////////////////////////////////////////////
const M_LEVEL1	=1; //Level 1 PostScript
const M_LEVEL1S	=2; //Level 1 Separable PostScript
const M_LEVEL2	=3; //Level 2 PostScript
const M_LEVEL2S	=4; //Level 2 Separable PostScript
const M_LEVEL3	=5; //Level 3 PostScript
const M_LEVEL3S	=6; //Level 3 Separable PostScript
const M_LEVEL_EPS=7;//Encapsulated PostScript (EPS)

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL



private:
	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MSetParam		*pMSetParam;
	MConvert		*pMConvert;	
	MEnd			*pMEnd;

private:
	BOOL LoadPdfToPsDll();
	BOOL FreePdfToPsDll();
	void GetModulePath(char *out_path,char *in_name);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
